Record an inter-account fund cash movement
POST
/portfolio/transactions/fund-cash/movementMoves cash between two fund cash accounts or cash pots (source to destination), creating the corresponding transaction record.
Request body
application/json, required · PortfolioFundCashMovementRequest
- One of:
fund_cash,fund_cash_pot - One of:
fund_cash,fund_cash_pot
{
"source_type": "fund_cash",
"source_id": "string",
"route_type": "fund_cash",
"route_id": "string",
"settlement_date": "2026-06-12T10:00:00+00:00",
"asset_id": 1,
"investor_id": 1,
"amount": 1,
"description": "string"
}Responses
200
201422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/fund-cash/movement\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"source_type": "fund_cash",
"source_id": "string",
"route_type": "fund_cash",
"route_id": "string",
"settlement_date": "2026-06-12T10:00:00+00:00",
"asset_id": 1,
"investor_id": 1,
"amount": 1,
"description": "string"
}'